POSTABCIInfo

https://rpc-celestia-mainnet.nodit.io/

Retrieves basic information about the ABCI application.

Request Body
jsonrpcstring (enum)required

JSON-RPC protocol version. Always 2.0.

idintegerrequired

Identifier of the request. Returned unchanged as id in the response.

methodstring (enum)required

Name of the JSON-RPC method to call.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

responseobject

Response from the ABCI application.

datastring

Application information string.

versionstring

Application software version.

app_versionstring

Application protocol version.

X-API-KEY
RequestCU10
cURL
curl -X POST "https://rpc-celestia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "abci_info"
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "response": {
      "data": "gaiad",
      "version": "0.38.0",
      "app_version": "10"
    }
  }
}